Bug 288091 - evince doesn't destroy tooltips belonging to a closed document
evince doesn't destroy tooltips belonging to a closed document
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-12 14:02 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 23:49:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample PDF (84.63 KB, application/x-pdf)
2007-09-15 19:15 EDT, Ignacio Vazquez-Abrams
no flags Details

  None (edit)
Description Ignacio Vazquez-Abrams 2007-09-12 14:02:48 EDT
Description of problem:
evince doesn't destroy tooltips belonging to a document if you close the
document window.

Version-Release number of selected component (if applicable):
evince-0.8.2-1.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Open any document in evince
2. Open another document in evince that has/uses tooltips
3. While the tooltip is showing, close the document, leaving the initial one open
  
Actual results:
Tooltips remain on the screen until all evince documents are closed

Expected results:
Tooltips should be destroyed as the generating document is closed

Additional info:
I saw this with PDFs, but there's no reason I can think of that other document
types would result in this.
Comment 1 Matthias Clasen 2007-09-14 19:30:06 EDT
It would be helpful if you could attach a document that shows this problem (ie
uses tooltips)
Comment 2 Ignacio Vazquez-Abrams 2007-09-15 19:15:08 EDT
Created attachment 196601 [details]
Sample PDF
Comment 3 Matthias Clasen 2007-09-16 22:59:48 EDT
Doesn't happen here. It is possible that tooltip fixes in GTK+ make a difference;
can you try with GTK+ 2.12.0 ?
Comment 4 Ignacio Vazquez-Abrams 2007-09-19 20:21:32 EDT
GTK+ 2.11.6 doesn't exhibit this problem.

Note You need to log in before you can comment on or make changes to this bug.